Subject: Keeping ftp out of last

From: [email-masked] (Koos van den Hout _U nix and we all_)
Date: Tue, 28 Feb 1995 09:12:21 +0000 (WET)

In a previous message, you wrote :

> I realize this might be an ignorant question, but is there a way to keep 
> ftp's from cluttering up `last`?

Have a look at the code in src/logwtmp.c . This is the code that puts ftp
in last.

You could also edit pathnames.h to #undef _PATH_WTMP and then #define it
to something like /var/adm/ftpd/ftp-wtmp.

That way a 'last' would give last logins and a 'last -f /var/adm/ftpd/ftp-wtmp'
would give last ftp logins.

                                                    Grtx. KH

-- 
| Koos van den Hout,     Unixer, Internetter                    and BBS SysOp |
| Home:[email-masked]      BBS Koos z'n Doos (+31-3402-36647 28k8 vfc) |
| Work:[email-masked] * finger [email-masked] for PGPkey * (+31-3402-56619 14k4) |
| URL: http://www.hvu.nl/users/koos  I'm looking for a lic.plate with RFC 822 |
|   GCS d- p(-) c++(+++) l+ u+++ e++ m+(-) s+/- !n h f+ g+ w(++) t+ r !y(*)   |